Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.map.client.opengis.wms
Class ServiceExceptionReport.ServiceException

    java.lang.Object
      com.maryanovsky.map.client.opengis.wms.ServiceExceptionReport.ServiceException

Enclosing class:
  ServiceExceptionReport

    public static class ServiceExceptionReport.ServiceException

extends Object

Encapsulates a Service Exception.

Field Summary
`static String` | `CURRENT_UPDATE_SEQUENCE_EXCEPTION_CODE` The CurrentUpdateSequence exception code.
`static String` | `INVALID_DIMENSION_VALUE_EXCEPTION_CODE` The InvalidDimensionValue exception code.
`static String` | `INVALID_FORMAT_EXCEPTION_CODE` The InvalidFormat exception code.
`static String` | `INVALID_SRS_EXCEPTION_CODE` The InvalidSRS exception code.
`static String` | `INVALID_UPDATE_SEQUENCE_EXCEPTION_CODE` The InvalidUpdateSequence exception code.
`static String` | `LAYER_NOT_DEFINED_EXCEPTION_CODE` The LayerNotDefined exception code.
`static String` | `LAYER_NOT_QUERIABLE_EXCEPTION_CODE` The LayerNotQueryable exception code.
`static String` | `MISSING_DIMENSION_VALUE_EXCEPTION_CODE` The MissingDimensionValue exception code.
`static String` | `STYLE_NOT_DEFINED_EXCEPTION_CODE` The StyleNotDefined exception code.

Method Summary
`String` | `getCode()` Returns the exception code.
`Element` | `getElement()` Returns the XML element from which this ServiceException object was created.
`String` | `getMessage()` Returns the exception message.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INVALID_FORMAT_EXCEPTION_CODE

    public static final String INVALID_FORMAT_EXCEPTION_CODE

  The InvalidFormat exception code.

  See Also:
    Constant Field Values

### INVALID_SRS_EXCEPTION_CODE

    public static final String INVALID_SRS_EXCEPTION_CODE

  The InvalidSRS exception code.

  See Also:
    Constant Field Values

### LAYER_NOT_DEFINED_EXCEPTION_CODE

    public static final String LAYER_NOT_DEFINED_EXCEPTION_CODE

  The LayerNotDefined exception code.

  See Also:
    Constant Field Values

### STYLE_NOT_DEFINED_EXCEPTION_CODE

    public static final String STYLE_NOT_DEFINED_EXCEPTION_CODE

  The StyleNotDefined exception code.

  See Also:
    Constant Field Values

### LAYER_NOT_QUERIABLE_EXCEPTION_CODE

    public static final String LAYER_NOT_QUERIABLE_EXCEPTION_CODE

  The LayerNotQueryable exception code.

  See Also:
    Constant Field Values

### CURRENT_UPDATE_SEQUENCE_EXCEPTION_CODE

    public static final String CURRENT_UPDATE_SEQUENCE_EXCEPTION_CODE

  The CurrentUpdateSequence exception code.

  See Also:
    Constant Field Values

### INVALID_UPDATE_SEQUENCE_EXCEPTION_CODE

    public static final String INVALID_UPDATE_SEQUENCE_EXCEPTION_CODE

  The InvalidUpdateSequence exception code.

  See Also:
    Constant Field Values

### MISSING_DIMENSION_VALUE_EXCEPTION_CODE

    public static final String MISSING_DIMENSION_VALUE_EXCEPTION_CODE

  The MissingDimensionValue exception code.

  See Also:
    Constant Field Values

### INVALID_DIMENSION_VALUE_EXCEPTION_CODE

    public static final String INVALID_DIMENSION_VALUE_EXCEPTION_CODE

  The InvalidDimensionValue exception code.

  See Also:
    Constant Field Values

Method Detail

### getElement

    public Element getElement()

  Returns the XML element from which this ServiceException object was created.

### getCode

    public String getCode()

  Returns the exception code. Note that this may be `null` (if no exception code was given), one of the exception code constants defined by this class, or any other string. Comparison between the returned value and the exception codes defined by this class is to be done via the `String.equals(Object)` method.

### getMessage

    public String getMessage()

  Returns the exception message. May be `null`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD